Sub CRMExport()
' save the content of an Excel file as CSV file
' uses " and , as separator
' created by crm-now, www.crm-now.de, 13.11.2011
' version 1.2

Dim Bereich As Object, Zeile As Object, Zelle As Object
Dim strTemp As String
Dim strDateiname As String
Dim strTrennzeichen As String
Dim strMappenpfad As String
Dim str As String
Dim nAscii As Integer

strMappenpfad = ActiveWorkbook.FullName
' define new file extension
strMappenpfad = Replace(strMappenpfad, ".xls", ".csv")
' get save location
strDateiname = InputBox("What's the name of the file to be saved?                   (e.g. c:/account.csv)", "CSV-Export", strMappenpfad)
If strDateiname = "" Then Exit Sub
' introduce , character
strTrennzeichen = ","
' define used range
Set Bereich = ActiveSheet.UsedRange

Open strDateiname For Output As #1

For Each Zeile In Bereich.Rows
For Each Zelle In Zeile.Cells
'remove control char, leading and trailing spaces
If Zelle.HasFormula = False Then
    str = Trim(CStr(Zelle))
    If Len(str) > 0 Then
        nAscii = Asc(Left(str, 1))
        If nAscii < 33 Or nAscii = 160 Then
            If Len(str) > 1 Then
                str = Right(str, Len(str) - 1)
            Else
                strl = ""
            End If
         End If
    End If
    Zelle = str
End If
'set separators
strTemp = strTemp & """" & CStr(Zelle.Text) & """" & strTrennzeichen

Next
If Right(strTemp, 1) = strTrennzeichen Then strTemp = Left(strTemp, Len(strTemp) - 1)
Print #1, strTemp
strTemp = ""
Next

Close #1
Set Bereich = Nothing
MsgBox "File has been saved as" & vbCrLf & strDateiname

End Sub